com.genesyslab.wfm8.API.service.config800

## Class CfgUser

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgUser

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgUser
      extends java.lang.Object
      implements java.io.Serializable

  User Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `gswEmail`
    `protected java.lang.String` | `gswFirstName`
    `protected java.lang.String` | `gswLastName`
    `protected int` | `gswUserId`
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp`
    `protected int` | `wmBuilderId`
    `protected int` | `wmSecurityRoleId`
    `protected int` | `wmTimezoneId`
    `protected java.lang.String` | `wmUser`
    `protected java.util.List<java.lang.Integer>` | `wmUserBU`
    `protected int` | `wmUserBUNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmUserSites`
    `protected int` | `wmUserSitesNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmUserSubsystems`
    `protected int` | `wmUserSubsystemsNSizeIs`
    `protected java.util.List<CfgUserTeam>` | `wmUserTeams`
    `protected int` | `wmUserTeamsNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgUser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getGswEmail()` Gets the value of the gswEmail property.
    `java.lang.String` | `getGswFirstName()` Gets the value of the gswFirstName property.
    `java.lang.String` | `getGswLastName()` Gets the value of the gswLastName property.
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmBuilderId()` Gets the value of the wmBuilderId property.
    `int` | `getWmSecurityRoleId()` Gets the value of the wmSecurityRoleId property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `java.lang.String` | `getWmUser()` Gets the value of the wmUser property.
    `java.util.List<java.lang.Integer>` | `getWmUserBU()` Gets the value of the wmUserBU property.
    `int` | `getWmUserBUNSizeIs()` Gets the value of the wmUserBUNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmUserSites()` Gets the value of the wmUserSites property.
    `int` | `getWmUserSitesNSizeIs()` Gets the value of the wmUserSitesNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmUserSubsystems()` Gets the value of the wmUserSubsystems property.
    `int` | `getWmUserSubsystemsNSizeIs()` Gets the value of the wmUserSubsystemsNSizeIs property.
    `java.util.List<CfgUserTeam>` | `getWmUserTeams()` Gets the value of the wmUserTeams property.
    `int` | `getWmUserTeamsNSizeIs()` Gets the value of the wmUserTeamsNSizeIs property.
    `int` | `hashCode()`
    `void` | `setGswEmail(java.lang.String value)` Sets the value of the gswEmail property.
    `void` | `setGswFirstName(java.lang.String value)` Sets the value of the gswFirstName property.
    `void` | `setGswLastName(java.lang.String value)` Sets the value of the gswLastName property.
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmBuilderId(int value)` Sets the value of the wmBuilderId property.
    `void` | `setWmSecurityRoleId(int value)` Sets the value of the wmSecurityRoleId property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmUser(java.lang.String value)` Sets the value of the wmUser property.
    `void` | `setWmUserBU(java.util.List<java.lang.Integer> wmUserBU)` Sets the value of the wmUserBU property.
    `void` | `setWmUserBUNSizeIs(int value)` Sets the value of the wmUserBUNSizeIs property.
    `void` | `setWmUserSites(java.util.List<java.lang.Integer> wmUserSites)` Sets the value of the wmUserSites property.
    `void` | `setWmUserSitesNSizeIs(int value)` Sets the value of the wmUserSitesNSizeIs property.
    `void` | `setWmUserSubsystems(java.util.List<java.lang.Integer> wmUserSubsystems)` Sets the value of the wmUserSubsystems property.
    `void` | `setWmUserSubsystemsNSizeIs(int value)` Sets the value of the wmUserSubsystemsNSizeIs property.
    `void` | `setWmUserTeams(java.util.List<CfgUserTeam> wmUserTeams)` Sets the value of the wmUserTeams property.
    `void` | `setWmUserTeamsNSizeIs(int value)` Sets the value of the wmUserTeamsNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgUser` | `withGswEmail(java.lang.String value)`
    `CfgUser` | `withGswFirstName(java.lang.String value)`
    `CfgUser` | `withGswLastName(java.lang.String value)`
    `CfgUser` | `withGswUserId(int value)`
    `CfgUser` | `withTimestamp(long value)`
    `CfgUser` | `withWmBuilderId(int value)`
    `CfgUser` | `withWmSecurityRoleId(int value)`
    `CfgUser` | `withWmTimezoneId(int value)`
    `CfgUser` | `withWmUser(java.lang.String value)`
    `CfgUser` | `withWmUserBU(java.util.Collection<java.lang.Integer> values)`
    `CfgUser` | `withWmUserBU(java.lang.Integer... values)`
    `CfgUser` | `withWmUserBUNSizeIs(int value)`
    `CfgUser` | `withWmUserSites(java.util.Collection<java.lang.Integer> values)`
    `CfgUser` | `withWmUserSites(java.lang.Integer... values)`
    `CfgUser` | `withWmUserSitesNSizeIs(int value)`
    `CfgUser` | `withWmUserSubsystems(java.util.Collection<java.lang.Integer> values)`
    `CfgUser` | `withWmUserSubsystems(java.lang.Integer... values)`
    `CfgUser` | `withWmUserSubsystemsNSizeIs(int value)`
    `CfgUser` | `withWmUserTeams(CfgUserTeam... values)`
    `CfgUser` | `withWmUserTeams(java.util.Collection<CfgUserTeam> values)`
    `CfgUser` | `withWmUserTeamsNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswUserId

          protected int gswUserId

    - #### wmUser

          protected java.lang.String wmUser

    - #### wmTimezoneId

          protected int wmTimezoneId

    - #### wmBuilderId

          protected int wmBuilderId

    - #### wmSecurityRoleId

          protected int wmSecurityRoleId

    - #### gswFirstName

          protected java.lang.String gswFirstName

    - #### gswLastName

          protected java.lang.String gswLastName

    - #### wmUserBUNSizeIs

          protected int wmUserBUNSizeIs

    - #### wmUserBU

          protected java.util.List<java.lang.Integer> wmUserBU

    - #### wmUserSitesNSizeIs

          protected int wmUserSitesNSizeIs

    - #### wmUserSites

          protected java.util.List<java.lang.Integer> wmUserSites

    - #### wmUserTeamsNSizeIs

          protected int wmUserTeamsNSizeIs

    - #### wmUserTeams

          protected java.util.List<CfgUserTeam> wmUserTeams

    - #### wmUserSubsystemsNSizeIs

          protected int wmUserSubsystemsNSizeIs

    - #### wmUserSubsystems

          protected java.util.List<java.lang.Integer> wmUserSubsystems

    - #### gswEmail

          protected java.lang.String gswEmail

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CfgUser

          public CfgUser()

  - ### Method Detail

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### getWmUser

          public java.lang.String getWmUser()

      Gets the value of the wmUser property.
      Returns:
        possible object is `String`

    - #### setWmUser

          public void setWmUser(java.lang.String value)

      Sets the value of the wmUser property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getWmBuilderId

          public int getWmBuilderId()

      Gets the value of the wmBuilderId property.

    - #### setWmBuilderId

          public void setWmBuilderId(int value)

      Sets the value of the wmBuilderId property.

    - #### getWmSecurityRoleId

          public int getWmSecurityRoleId()

      Gets the value of the wmSecurityRoleId property.

    - #### setWmSecurityRoleId

          public void setWmSecurityRoleId(int value)

      Sets the value of the wmSecurityRoleId property.

    - #### getGswFirstName

          public java.lang.String getGswFirstName()

      Gets the value of the gswFirstName property.
      Returns:
        possible object is `String`

    - #### setGswFirstName

          public void setGswFirstName(java.lang.String value)

      Sets the value of the gswFirstName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswLastName

          public java.lang.String getGswLastName()

      Gets the value of the gswLastName property.
      Returns:
        possible object is `String`

    - #### setGswLastName

          public void setGswLastName(java.lang.String value)

      Sets the value of the gswLastName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmUserBUNSizeIs

          public int getWmUserBUNSizeIs()

      Gets the value of the wmUserBUNSizeIs property.

    - #### setWmUserBUNSizeIs

          public void setWmUserBUNSizeIs(int value)

      Sets the value of the wmUserBUNSizeIs property.

    - #### getWmUserBU

          public java.util.List<java.lang.Integer> getWmUserBU()

      Gets the value of the wmUserBU property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmUserBU property.

      For example, to add a new item, do as follows:

              getWmUserBU().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmUserSitesNSizeIs

          public int getWmUserSitesNSizeIs()

      Gets the value of the wmUserSitesNSizeIs property.

    - #### setWmUserSitesNSizeIs

          public void setWmUserSitesNSizeIs(int value)

      Sets the value of the wmUserSitesNSizeIs property.

    - #### getWmUserSites

          public java.util.List<java.lang.Integer> getWmUserSites()

      Gets the value of the wmUserSites property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmUserSites property.

      For example, to add a new item, do as follows:

              getWmUserSites().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmUserTeamsNSizeIs

          public int getWmUserTeamsNSizeIs()

      Gets the value of the wmUserTeamsNSizeIs property.

    - #### setWmUserTeamsNSizeIs

          public void setWmUserTeamsNSizeIs(int value)

      Sets the value of the wmUserTeamsNSizeIs property.

    - #### getWmUserTeams

          public java.util.List<CfgUserTeam> getWmUserTeams()

      Gets the value of the wmUserTeams property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmUserTeams property.

      For example, to add a new item, do as follows:

              getWmUserTeams().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgUserTeam`

    - #### getWmUserSubsystemsNSizeIs

          public int getWmUserSubsystemsNSizeIs()

      Gets the value of the wmUserSubsystemsNSizeIs property.

    - #### setWmUserSubsystemsNSizeIs

          public void setWmUserSubsystemsNSizeIs(int value)

      Sets the value of the wmUserSubsystemsNSizeIs property.

    - #### getWmUserSubsystems

          public java.util.List<java.lang.Integer> getWmUserSubsystems()

      Gets the value of the wmUserSubsystems property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmUserSubsystems property.

      For example, to add a new item, do as follows:

              getWmUserSubsystems().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getGswEmail

          public java.lang.String getGswEmail()

      Gets the value of the gswEmail property.
      Returns:
        possible object is `String`

    - #### setGswEmail

          public void setGswEmail(java.lang.String value)

      Sets the value of the gswEmail property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withGswUserId

          public CfgUser withGswUserId(int value)

    - #### withWmUser

          public CfgUser withWmUser(java.lang.String value)

    - #### withWmTimezoneId

          public CfgUser withWmTimezoneId(int value)

    - #### withWmBuilderId

          public CfgUser withWmBuilderId(int value)

    - #### withWmSecurityRoleId

          public CfgUser withWmSecurityRoleId(int value)

    - #### withGswFirstName

          public CfgUser withGswFirstName(java.lang.String value)

    - #### withGswLastName

          public CfgUser withGswLastName(java.lang.String value)

    - #### withWmUserBUNSizeIs

          public CfgUser withWmUserBUNSizeIs(int value)

    - #### withWmUserBU

          public CfgUser withWmUserBU(java.lang.Integer... values)

    - #### withWmUserBU

          public CfgUser withWmUserBU(java.util.Collection<java.lang.Integer> values)

    - #### withWmUserSitesNSizeIs

          public CfgUser withWmUserSitesNSizeIs(int value)

    - #### withWmUserSites

          public CfgUser withWmUserSites(java.lang.Integer... values)

    - #### withWmUserSites

          public CfgUser withWmUserSites(java.util.Collection<java.lang.Integer> values)

    - #### withWmUserTeamsNSizeIs

          public CfgUser withWmUserTeamsNSizeIs(int value)

    - #### withWmUserTeams

          public CfgUser withWmUserTeams(CfgUserTeam... values)

    - #### withWmUserTeams

          public CfgUser withWmUserTeams(java.util.Collection<CfgUserTeam> values)

    - #### withWmUserSubsystemsNSizeIs

          public CfgUser withWmUserSubsystemsNSizeIs(int value)

    - #### withWmUserSubsystems

          public CfgUser withWmUserSubsystems(java.lang.Integer... values)

    - #### withWmUserSubsystems

          public CfgUser withWmUserSubsystems(java.util.Collection<java.lang.Integer> values)

    - #### withGswEmail

          public CfgUser withGswEmail(java.lang.String value)

    - #### withTimestamp

          public CfgUser withTimestamp(long value)

    - #### setWmUserBU

          public void setWmUserBU(java.util.List<java.lang.Integer> wmUserBU)

      Sets the value of the wmUserBU property.
      Parameters:
        `wmUserBU` - allowed object is `Integer`

    - #### setWmUserSites

          public void setWmUserSites(java.util.List<java.lang.Integer> wmUserSites)

      Sets the value of the wmUserSites property.
      Parameters:
        `wmUserSites` - allowed object is `Integer`

    - #### setWmUserTeams

          public void setWmUserTeams(java.util.List<CfgUserTeam> wmUserTeams)

      Sets the value of the wmUserTeams property.
      Parameters:
        `wmUserTeams` - allowed object is `CfgUserTeam`

    - #### setWmUserSubsystems

          public void setWmUserSubsystems(java.util.List<java.lang.Integer> wmUserSubsystems)

      Sets the value of the wmUserSubsystems property.
      Parameters:
        `wmUserSubsystems` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.